Index: trunk/cleanup.php
===================================================================
--- trunk/cleanup.php	(revision 36)
+++ trunk/cleanup.php	(revision 37)
@@ -724,4 +724,6 @@
       if ( preg_match( "/scyld/", $limshost ) )
          $limshost    = 'alamo.uthscsa.edu';
+      else if ( preg_match( "/novalo/", $limshost ) )
+         $limshost    = 'uslims3.aucsolutions.com';
       else if ( ! preg_match( "/\./", $limshost ) )
          $limshost    = $limshost . $org_domain;
@@ -883,4 +885,6 @@
       if ( preg_match( "/scyld/", $limshost ) )
          $limshost    = 'alamo.uthscsa.edu';
+      else if ( preg_match( "/novalo/", $limshost ) )
+         $limshost    = 'uslims3.aucsolutions.com';
       else if ( ! preg_match( "/\./", $limshost ) )
          $limshost    = $limshost . $org_domain;
Index: trunk/cluster_status.php
===================================================================
--- trunk/cluster_status.php	(revision 36)
+++ trunk/cluster_status.php	(revision 37)
@@ -182,7 +182,5 @@
    else
    {
-//      $clusters = array( "alamo", "lonestar5", "comet",
-//                         "stampede2", "jetstream", "jureca", "jacinto" );
-      $clusters = array( "alamo", "lonestar5", "comet",
+      $clusters = array( "lonestar5", "comet",
                          "stampede2", "jetstream" );
    }
Index: trunk/cronic.txt
===================================================================
--- trunk/cronic.txt	(revision 37)
+++ trunk/cronic.txt	(revision 37)
@@ -0,0 +1,49 @@
+/bin/cronic
+#!/bin/bash
+
+# Cronic v2 - cron job report wrapper
+# Copyright 2007 Chuck Houpt. No rights reserved, whatsoever.
+# Public Domain CC0: http://creativecommons.org/publicdomain/zero/1.0/
+
+set -eu
+
+OUT=/tmp/cronic.out.$$
+ERR=/tmp/cronic.err.$$
+TRACE=/tmp/cronic.trace.$$
+
+set +e
+"$@" >$OUT 2>$TRACE
+RESULT=$?
+set -e
+
+PATTERN="^${PS4:0:1}\\+${PS4:1}"
+if grep -aq "$PATTERN" $TRACE
+then
+    ! grep -av "$PATTERN" $TRACE > $ERR
+else
+    ERR=$TRACE
+fi
+
+if [ $RESULT -ne 0 -o -s "$ERR" ]
+    then
+    echo "Cronic detected failure or error output for the command:"
+    echo "$@"
+    echo
+    echo "RESULT CODE: $RESULT"
+    echo
+    echo "ERROR OUTPUT:"
+    cat "$ERR"
+    echo
+    echo "STANDARD OUTPUT:"
+    cat "$OUT"
+    if [ $TRACE != $ERR ]
+    then
+        echo
+        echo "TRACE-ERROR OUTPUT:"
+        cat "$TRACE"
+    fi
+fi
+
+rm -f "$OUT"
+rm -f "$ERR"
+rm -f "$TRACE"
Index: trunk/crontab_root.txt
===================================================================
--- trunk/crontab_root.txt	(revision 37)
+++ trunk/crontab_root.txt	(revision 37)
@@ -0,0 +1,12 @@
+#m   h d m wd cmd line
+5    3 * * *  /usr/sbin/logrotate /etc/logrotate.conf
+
+# run nightly system backup script
+# also cleans out old files in the common data directory
+#!runas(root)
+#!mailto(gegorbet)
+0 22 * * * /root/backup-cauma-db.sh
+
+#ssl certificate renewal:
+30 0,12 * * * /usr/bin/certbot renew --quiet
+
Index: trunk/crontab_us3.txt
===================================================================
--- trunk/crontab_us3.txt	(revision 37)
+++ trunk/crontab_us3.txt	(revision 37)
@@ -0,0 +1,11 @@
+##MAILTO=gegorbet@gmail.com
+#nolog(true)
+*/1  * * * *  cd /home/us3/lims/bin; cronic /usr/bin/php /home/us3/lims/bin/gridctl_pro.php
+*/1  * * * *  cd /home/us3/lims/bin; cronic /usr/bin/php /home/us3/lims/bin/gridctl_dev.php
+*/12 * * * *  cd /home/us3/lims/bin; cronic /usr/bin/php /home/us3/lims/bin/cluster_status.php
+*/20 * * * *  cd /home/us3/lims/bin; cronic /usr/bin/php /home/us3/lims/bin/update_notice.php
+
+# each morning: save data directory */job_statistics.xml files
+MAILTO=gegorbet@gmail.com
+15 2 * * * /home/us3/lims/bin/save-jobstats.sh
+
Index: trunk/save-jobstats.sh
===================================================================
--- trunk/save-jobstats.sh	(revision 36)
+++ trunk/save-jobstats.sh	(revision 37)
@@ -9,4 +9,7 @@
 fi
 HOSTNAME=`uname -n`
+if [ `echo ${HOSTNAME}|grep -c "novalo"` -ne 0 ]; then
+  HOSTNAME="uslims3.aucsolutions.com"
+fi
 echo "HOSTNAME=${HOSTNAME}"
 
Index: trunk/update_notice.php
===================================================================
--- trunk/update_notice.php	(revision 36)
+++ trunk/update_notice.php	(revision 37)
@@ -6,8 +6,12 @@
 
 // Get the US3 system release of latest file on download site
-$s_cmd1 = "ssh us3@ultrascan.uthscsa.edu 'ls -t /srv/www/htdocs/ultrascan3/software/us3*";
-$s_cmd1 = "$s_cmd1 | sed -n 1p | cut -d\- -f3" . "'";
+//$s_cmd1 = "ssh us3@ultrascan.uthscsa.edu 'ls -t /srv/www/htdocs/ultrascan3/software/us3*";
+//$s_cmd1 = "$s_cmd1 | sed -n 1p | cut -d\- -f3" . "'";
+$s_cmd1 = 'ls -t /srv/www/htdocs/uscn/ultrascan3/software/us3*';
+$s_cmd1 = "$s_cmd1 | sed -n 1p | cut -d\- -f3";
 $s_cmd2 = exec( $s_cmd1 );
 $sysrev = $s_cmd2;
+	echo "s_cmd1=$s_cmd1\n";
+	echo "sysrev=$sysrev\n";
 
 // Global variables
